%global commit0 4f5cabb4e32139fb954811414c7afca65e840579
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           rocm-modules
Version:        1.0
Release:        1%{dist}
Summary:        ROCm enviroment modules
License:        GPLv2

URL:            https://github.com/trixirt/rocm-rpm-macros
Source0:        %{url}/archive/%{commit0}/rocm-rpm-macros-%{shortcommit0}.tar.gz

BuildArch:      noarch

Requires:       environment(modules)

%description
This package contains ROCm environment modules for switching
between different GPU families.

%prep
%autosetup -p1 -n rocm-rpm-macros-%{commit0}

%install
mkdir -p %{buildroot}%{_datadir}/modulefiles/rocm/
cp -p modules.rocm/* %{buildroot}%{_datadir}/modulefiles/rocm/

%files
%license GPL
%{_datadir}/modulefiles/rocm/

%changelog
* Sun Oct 8 2023 Tom Rix <trix@redhat.com> - 1.0-1
- Initial package
